﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void WriteCookie(object sender, EventArgs e)
    {
        //Create a Cookie with a suitable Key.
        HttpCookie nameCookie = new HttpCookie("Name");

        //Set the Cookie value.
        nameCookie.Values["Name"] = txtName.Text;

        //Set the Expiry date.
        nameCookie.Expires = DateTime.Now.AddDays(30);

        //Add the Cookie to Browser.
        Response.Cookies.Add(nameCookie);
    }

    protected void ReadCookie(object sender, EventArgs e)
    {
        //Fetch the Cookie using its Key.
        HttpCookie nameCookie = Request.Cookies["Name"];

        //If Cookie exists fetch its value.
        string name = nameCookie != null ? nameCookie.Value.Split('=')[1] : "undefined";
        ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('" + name + "');", true);
    }

    protected void RemoveCookie(object sender, EventArgs e)
    {
        //Fetch the Cookie using its Key.
        HttpCookie nameCookie = Request.Cookies["Name"];

        //Set the Expiry date to past date.
        nameCookie.Expires = DateTime.Now.AddDays(-1);

        //Update the Cookie in Browser.
        Response.Cookies.Add(nameCookie);
    }
}