﻿
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub WriteCookie(sender As Object, e As EventArgs)
        'Create a Cookie with a suitable Key.
        Dim nameCookie As New HttpCookie("Name")

        'Set the Cookie value.
        nameCookie.Values("Name") = txtName.Text

        'Set the Expiry date.
        nameCookie.Expires = DateTime.Now.AddDays(30)

        'Add the Cookie to Browser.
        Response.Cookies.Add(nameCookie)
    End Sub

    Protected Sub ReadCookie(sender As Object, e As EventArgs)
        'Fetch the Cookie using its Key.
        Dim nameCookie As HttpCookie = Request.Cookies("Name")

        'If Cookie exists fetch its value.
        Dim name As String = If(nameCookie IsNot Nothing, nameCookie.Value.Split("="c)(1), "undefined")
        ClientScript.RegisterStartupScript(Me.[GetType](), "alert", (Convert.ToString("alert('") & name) + "');", True)
    End Sub

    Protected Sub RemoveCookie(sender As Object, e As EventArgs)
        'Fetch the Cookie using its Key.
        Dim nameCookie As HttpCookie = Request.Cookies("Name")

        'Set the Expiry date to past date.
        nameCookie.Expires = DateTime.Now.AddDays(-1)

        'Update the Cookie in Browser.
        Response.Cookies.Add(nameCookie)
    End Sub
End Class
